
QGIS Application - Bug report #16476

DB Manager: previewing layers in Virtual layers section remove them from the Layers panel

2017-04-27 03:17 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24385

Description

Open a project

Launch DB Manager, expand the Virtual layers section, then QGIs layers and select a layer

Click the Preview tab

Select another layer

The layer you selected first has been removed from the Layers panel, hence from the project (GUI, at least)

Happens also in master

Set the report as high because this can easily corrupt the project if you don't notice the removal (and anyway, if you notice it, you'll need to

close and not save the project to avoid it being corrupted)

Related issues:

Duplicated by QGIS Application - Bug report # 16534: DB manager virtual layer... Closed 2017-05-09

Associated revisions

Revision 68b7bf6a - 2018-02-03 10:53 AM - Salvatore Larosa

[dbmanager] porting of dae921c to 3: fixes #16476

Revision 6f09f174 - 2018-02-03 01:18 PM - Luigi Pirelli

Merge pull request #6255 from slarosa/fix_16476

[dbmanager] porting of dae921c to 3: fixes #16476

History

#1 - 2017-04-27 03:18 AM - Harrissou Santanna

- Subject changed from DB Manager: previewing layers remove them from the Layers panel to DB Manager: previewing layers in Virtual layers section 

remove them from the Layers panel

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2017-05-01 02:25 AM - Giovanni Manghi

- Description updated

- Crashes QGIS or corrupts data changed from No to Yes
#4 - 2017-05-10 07:22 PM - Luigi Pirelli

the problem is a logic problem... the db_manager base class layer_preview remove from registry any previously added layer (currentLayer) with it's id, with

assumption that it's id is a temporary layer because has been added for the preview.

virtual layer qgis layer is populated of all registry layers => also that are in the layer list, when you click on that it become current layer => it is removed

when switching to another layer in db_manager

looking for a simple solution for that

#5 - 2017-05-10 09:15 PM - Giovanni Manghi

see also #16534

#6 - 2017-05-12 12:09 PM - Luigi Pirelli

- Pull Request or Patch supplied changed from No to Yes

fixed for 2.18 https://github.com/qgis/QGIS/pull/4534 waiting for review and merge, expecially review by Hugo Mercier.

fix for 3.0 will be delayed because actually in this version db_manager raise much more exception than the 2.18 or 2.14 one => I'll try to work in a general

PR fixup most common one.

#7 - 2017-05-19 09:02 AM - Jürgen Fischer

- Duplicated by Bug report #16534: DB manager virtual layers: wrong list, layers removed from project added

#8 - 2017-05-28 10:29 PM - Salvatore Larosa

- Status changed from Open to Closed

Applied in changeset commit:qgis|dae921c51f85f2dde2bab9b18a0d7c7c31bc700b.

#9 - 2018-02-02 03:52 PM - Harrissou Santanna

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.18.7 to master

Looks like the fix for QGIS 3 never landed

#10 - 2018-02-03 01:17 PM - Salvatore Larosa

- % Done changed from 0 to 100

- Status changed from Reopened to Closed

Applied in changeset commit:qgis|68b7bf6aa8c94d4cbf56e600fcb57f1f750ddcc9.

#11 - 2018-02-22 11:01 AM - Giovanni Manghi

- Resolution set to fixed/implemented
